@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  jslim startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

@rem Uncomment those lines to set JVM options. JSLIM_OPTS and JAVA_OPTS can be used together.
@rem set JSLIM_OPTS=%JSLIM_OPTS% -Xmx512m
@rem set JAVA_OPTS=%JAVA_OPTS% -Xmx512m

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_HOME=%DIRNAME%..

@rem Find java.exe
set JAVA_EXE=java.exe
if not defined JAVA_HOME goto init

set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.
echo.
goto fail

:init
@rem Get command-line arguments, handling Windowz variants

if not "%OS%" == "Windows_NT" goto win9xME_args
if "%eval[2+2]" == "4" goto 4NT_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*
goto execute

:4NT_args
@rem Get arguments from the 4NT Shell from JP Software
set CMD_LINE_ARGS=%$

:execute
@rem Setup the command line


set CLASSPATH=%APP_HOME%\lib\jslim-0.1.jar;%APP_HOME%\lib\closure-compiler-r1459.jar;%APP_HOME%\lib\args4j-2.0.12.jar;%APP_HOME%\lib\guava-r09.jar;%APP_HOME%\lib\protobuf-java-2.4.1.jar;%APP_HOME%\lib\json-20090211.jar;%APP_HOME%\lib\ant-1.8.1.jar;%APP_HOME%\lib\ant-launcher-1.8.1.jar;%APP_HOME%\lib\jsr305-1.3.9.jar;%APP_HOME%\lib\jarjar-1.1.jar;%APP_HOME%\lib\junit-4.8.2.jar;%APP_HOME%\lib\commons-io-2.0.1.jar;

@rem Execute jslim
"%JAVA_EXE%" %JAVA_OPTS% %JSLIM_OPTS% -classpath "%CLASSPATH%" com.grossbart.jslim.JSlimRunner %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
if not "%OS%"=="Windows_NT" echo 1 > nul | choice /n /c:1

rem Set variable JSLIM_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%JSLIM_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
